aboutsummaryrefslogtreecommitdiffstats
path: root/xtux/watch
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2012-12-04 14:48:50 +0100
committerMattias Andrée <maandree@operamail.com>2012-12-04 14:48:50 +0100
commitdeb6305374cabd80b1f1cfc144f40adfe7263efd (patch)
treea58da9527013131bce65fe182358c1dc88e2dc23 /xtux/watch
parentautowatch script for latex-beamer (diff)
downloadaur-packages-deb6305374cabd80b1f1cfc144f40adfe7263efd.tar.gz
aur-packages-deb6305374cabd80b1f1cfc144f40adfe7263efd.tar.bz2
aur-packages-deb6305374cabd80b1f1cfc144f40adfe7263efd.tar.xz
adopt xtux
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to 'xtux/watch')
-rwxr-xr-xxtux/watch20
1 files changed, 20 insertions, 0 deletions
diff --git a/xtux/watch b/xtux/watch
new file mode 100755
index 0000000..faec59b
--- /dev/null
+++ b/xtux/watch
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+[ -f 'files' ] && rm 'files'
+wget http://sourceforge.net/projects/xtux/files >/dev/null 2>/dev/null
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ grep 'Download xtux-src-' < files | md5sum > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'xtux'
+ fi
+ rm files
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'xtux (unfetchable)'
+fi
+